{% extends 'layout.twig' %}

{% block body %}
    <div class="contenu clearfix"  id="sciinvlis">
        <h1>{{ 'Inventaires' | trad }}</h1>
        {{ ariane() }}

        {% set formFilterName = "filtres_lignes_cahier_inventaire" %}
        <div class="tab-content" id="tab-content">
            <form method="post" name="{{ formFilterName }}" id="{{ formFilterName }}">
                <h3 class="mb-base">
                    {{ strBuild('Saisie des résultats de l\'inventaire n°@1@ sur le site @2@ (@3@)' | trad, [noInv, siteStock.DESIGN, siteStock.SITE]) }}
                </h3>
                <div class="tab-content">
                    <div id="filtre" class="tab-pane active in clearfix bg_form padding_form border_form">
                        <div class="row">
                            <div class="colonne2">
                                {{ inputAdvance('SWITCH', {
                                    'titre' : 'Filtre sur répartition par lots incorrect' | trad,
                                    'name' : 'SCIINVLI_REP_INCORRECTE',
                                    'value' : post.SCIINVLI_REP_INCORRECTE,
                                }) }}
                                <input type="hidden" value="{{ post.SITE }}" name="SITE"/>
                            </div>
                            <div class="colonne2 last">
                                <button type="submit" class="principal button btn_filtre button_right last">
                                    {{ 'Filtrer' | trad }}
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="resultat_filtre">
                    {{ bullFiltre(post, formFilterName) }}
                </div>
                {{ include('@Stock/LigneCahierInventaire/Composant/_table.twig') }}
            </form>
        </div>
    </div>
    <script type="application/javascript" src="{{ baseUrl('js/Modules/Stock/postAjaxForm.js') }}"></script>
    <script type="application/javascript">
      function saisirResultat (qteReelInputId, puExecedInputId, path, hasError) {
          if (hasError) {
              return;
          }

          $.ajax({
              method: 'POST',
              url: path,
              data: {
                  QTE_REEL: $('#' + CSS.escape(qteReelInputId)).val(),
                  PU_EXECED: $('#' + CSS.escape(puExecedInputId)).val(),
              },
              success: (data) => {
                  const ligneCahierInventaire = data.ligneCahierInventaire;
                  const ecartDiv = $('#ecart' + ligneCahierInventaire.CODE_ART);
                  const puExecedAfficherDiv = $('#puExecedAfficher' + ligneCahierInventaire.CODE_ART);
                  const puExecedModifierDiv = $('#puExecedModifier' + ligneCahierInventaire.CODE_ART);
                  const isPuExcededModifiable = ligneCahierInventaire.TYPE_VALO !== 'S' && parseFloat(ligneCahierInventaire.QTE_REEL) > parseFloat(ligneCahierInventaire.QTE_THEO);

                  if (data.hasEcart) {
                      ecartDiv.addClass('d-block');
                      ecartDiv.removeClass('d-none');
                  }

                  if (!data.hasEcart) {
                      ecartDiv.removeClass('d-block');
                      ecartDiv.addClass('d-none');
                  }

                  if (isPuExcededModifiable) {
                      puExecedAfficherDiv.addClass('d-none');
                      puExecedModifierDiv.removeClass('d-none');
                  }

                  if (!isPuExcededModifiable) {
                      puExecedAfficherDiv.removeClass('d-none');
                      puExecedModifierDiv.addClass('d-none');
                  }

                  puExecedAfficherDiv.text(ligneCahierInventaire.PU_EXECED + ' ' + puExecedAfficherDiv.attr('data-devise'));
                  $('#ecartSaisi' + ligneCahierInventaire.CODE_ART).text(ligneCahierInventaire.QTE_REEL - ligneCahierInventaire.QTE_THEO);
              }
          });
      }
    </script>
{% endblock %}